package com.farmnet365.hello365.model.field;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class Field {
	private String id;
	private String number;
	private String name;
	private String usage;
	private String farmableAreaInHa;
	private Geometry geometry;
	private Farm farm;
	private String soilType;

    public Field() {
    }

    public String getId() {
        return this.id;
    }

    public String getNumber() {
        return this.number;
    }

    public String getName() {
        return this.name;
    }

    public String getUsage() {
        return this.usage;
    }

    public String getFarmableAreaInHa() {
        return this.farmableAreaInHa;
    }

    public Geometry getGeometry() {
        return this.geometry;
    }

    public Farm getFarm() {
        return this.farm;
    }

    public String getSoilType() {
        return this.soilType;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setUsage(String usage) {
        this.usage = usage;
    }

    public void setFarmableAreaInHa(String farmableAreaInHa) {
        this.farmableAreaInHa = farmableAreaInHa;
    }

    public void setGeometry(Geometry geometry) {
        this.geometry = geometry;
    }

    public void setFarm(Farm farm) {
        this.farm = farm;
    }

    public void setSoilType(String soilType) {
        this.soilType = soilType;
    }

    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }
}
