package com.farmnet365.hello365.model.machine;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */



import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Objects;

public class MachineDetails {

    private ValueWithUnit carryingCapacity;
    private ValueWithUnit carryingMass;
    private ValueWithUnit height;
    private ValueWithUnit power;
    private String propellingType;
    private ValueWithUnit velocityOfStreet;
    private ValueWithUnit velocityOfWork;
    private ValueWithUnit weight;
    private ValueWithUnit width;
    private ValueWithUnit workingWidth;

    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }

    public ValueWithUnit getCarryingCapacity() {
        return carryingCapacity;
    }

    public void setCarryingCapacity(ValueWithUnit carryingCapacity) {
        this.carryingCapacity = carryingCapacity;
    }

    public ValueWithUnit getCarryingMass() {
        return carryingMass;
    }

    public void setCarryingMass(ValueWithUnit carryingMass) {
        this.carryingMass = carryingMass;
    }

    public ValueWithUnit getHeight() {
        return height;
    }

    public void setHeight(ValueWithUnit height) {
        this.height = height;
    }

    public ValueWithUnit getPower() {
        return power;
    }

    public void setPower(ValueWithUnit power) {
        this.power = power;
    }

    public String getPropellingType() {
        return propellingType;
    }

    public void setPropellingType(String propellingType) {
        this.propellingType = propellingType;
    }

    public ValueWithUnit getVelocityOfStreet() {
        return velocityOfStreet;
    }

    public void setVelocityOfStreet(ValueWithUnit velocityOfStreet) {
        this.velocityOfStreet = velocityOfStreet;
    }

    public ValueWithUnit getVelocityOfWork() {
        return velocityOfWork;
    }

    public void setVelocityOfWork(ValueWithUnit velocityOfWork) {
        this.velocityOfWork = velocityOfWork;
    }

    public ValueWithUnit getWeight() {
        return weight;
    }

    public void setWeight(ValueWithUnit weight) {
        this.weight = weight;
    }

    public ValueWithUnit getWidth() {
        return width;
    }

    public void setWidth(ValueWithUnit width) {
        this.width = width;
    }

    public ValueWithUnit getWorkingWidth() {
        return workingWidth;
    }

    public void setWorkingWidth(ValueWithUnit workingWidth) {
        this.workingWidth = workingWidth;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;

        if (o == null || getClass() != o.getClass())
            return false;

        return EqualsBuilder.reflectionEquals(this, o);
    }

    @Override
    public int hashCode() {
        return HashCodeBuilder.reflectionHashCode(this);
    }
}
