import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { AppComponent } from './app.component';
import { HttpClientModule } from '@angular/common/http';

import { MachinesComponent } from './machines/machines.component';
import { CreatemachineComponent } from './machines/createmachine/createmachine.component';

import { FieldsComponent } from './fields/fields.component';

import { PersonsComponent } from './persons/persons.component';
import { CreatePersonComponent } from './persons/createperson/create-person.component';

import { HelloBackendService } from './shared/hello-backend.service';

import {
  MatButtonModule,
  MatDialogModule,
  MatProgressSpinnerModule,
  MatTableModule,
  MatTabsModule,
  MatToolbarModule
} from '@angular/material';

//  Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.

@NgModule({
  declarations: [
    AppComponent, MachinesComponent, CreatemachineComponent, FieldsComponent, PersonsComponent, CreatePersonComponent
  ],
  entryComponents: [CreatemachineComponent, CreatePersonComponent],
  imports: [
    BrowserModule,
    HttpClientModule,
    BrowserAnimationsModule,
    FormsModule,
    MatTabsModule, MatTableModule, MatToolbarModule, MatProgressSpinnerModule, MatDialogModule, MatButtonModule
  ],
  providers: [HelloBackendService],
  bootstrap: [AppComponent]
})

export class AppModule {
}
